function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Introducing Host Intrusion Prevention","1#wp1128262");
var B=A.fN("What\u2019s new in this release","2#wp1128296");
B=A.fN("Using this guide","3#wp1128371");
var C=B.fN("Audience","4#wp1128381");
C=B.fN("Conventions","5#wp1128389");
B=A.fN("Getting product information","6#wp1134781");
C=B.fN("Standard documentation","7#wp1134731");
B=A.fN("Contact information","8#wp1133948");
A=P.fN("Basic Concepts","9#wp1131434");
B=A.fN("IPS feature","10#wp1132362");
C=B.fN("Signature rules","11#wp1141931");
C=B.fN("Behavioral rules","12#wp1141937");
C=B.fN("Events","13#wp1137238");
C=B.fN("Reactions","14#wp1137241");
C=B.fN("Exception rules","15#wp1137250");
B=A.fN("Firewall feature","16#wp1132391");
C=B.fN("Firewall rules","17#wp1138789");
C=B.fN("Client firewall rules","18#wp1139987");
B=A.fN("Application Blocking feature","19#wp1139991");
C=B.fN("Client application blocking rules","20#wp1140082");
B=A.fN("General feature","21#wp1141775");
B=A.fN("Policy management","22#wp1138563");
C=B.fN("Policy enforcement","23#wp1138566");
C=B.fN("Policies and policy categories","24#wp1138575");
C=B.fN("Policy inheritance and assignment","25#wp1138594");
C=B.fN("Policy ownership","26#wp1138598");
C=B.fN("Policy assignment locking","27#wp1138604");
B=A.fN("Deployment and management","28#wp1132361");
C=B.fN("Preset protection","29#wp1134961");
C=B.fN("Adaptive and Learn Mode","30#wp1140367");
C=B.fN("Tuning","31#wp1140482");
C=B.fN("Reports","32#wp1138869");
A=P.fN("Using ePolicy Orchestrator","33#wp1093899");
B=A.fN("ePolicy Orchestrator operations used with Host Intrusion Prevention","34#wp1135414");
C=B.fN("ePolicy Orchestrator console","35#wp1133211");
C=B.fN("Policy management","36#wp1133205");
C=B.fN("Assigning owners to policies","37#wp1131517");
C=B.fN("Generating notifications","38#wp1134288");
C=B.fN("Generating reports","39#wp1134310");
B=A.fN("Host Intrusion Prevention operations","40#wp1131196");
C=B.fN("Installing the Host Intrusion Prevention server","41#wp1132769");
C=B.fN("Deploying Host Intrusion Prevention agents","42#wp1132773");
C=B.fN("Viewing and working with agent data","43#wp1132782");
C=B.fN("Placing agents in Adaptive or Learn mode","44#wp1136929");
C=B.fN("Configuring policies","45#wp1132891");
C=B.fN("Fine-tuning","47#wp1132883");
C=B.fN("Using Help","48#wp1129490");
A=P.fN("IPS Policies","51#wp1093899");
B=A.fN("Overview","52#wp1140661");
C=B.fN("Host and network IPS signature rules","53#wp1131098");
C=B.fN("Preset IPS policies","57#wp1131104");
C=B.fN("Quick access","58#wp1187661");
B=A.fN("Configuring the IPS Options policy","59#wp1131259");
B=A.fN("Configuring the IPS Protection policy","60#wp1129326");
B=A.fN("Configuring the IPS Rules policy","61#wp1143130");
B=A.fN("IPS Rules policy details","62#wp1142917");
C=B.fN("Exception Rules","63#wp1132486");
C=B.fN("Signatures","69#wp1132525");
C=B.fN("Application Protection Rules","78#wp1169123");
B=A.fN("IPS Events","82#wp1129914");
C=B.fN("Viewing events","83#wp1129471");
C=B.fN("Configuring the event view","84#wp1129491");
C=B.fN("Filtering events","85#wp1160305");
C=B.fN("Marking events","86#wp1129502");
C=B.fN("Marking similar events","87#wp1182913");
C=B.fN("Viewing event details","88#wp1129566");
C=B.fN("Creating event-based exceptions and trusted applications","89#wp1132416");
B=A.fN("IPS Client Rules","92#wp1129439");
C=B.fN("Regular View","93#wp1169623");
C=B.fN("Aggregated View","94#wp1169629");
B=A.fN("Search IPS Exception Rules","95#wp1140025");
A=P.fN("Firewall Policies","134#wp1093899");
B=A.fN("Overview","135#wp1131526");
C=B.fN("Ordering the firewall rule list","136#wp1129199");
C=B.fN("Firewall rule groups and connection aware groups","137#wp1129213");
C=B.fN("Firewall Learn and Adaptive modes","138#wp1129377");
C=B.fN("Quarantine protection policies and rules","139#wp1137671");
C=B.fN("Preset Firewall policies","140#wp1153281");
C=B.fN("Quick access","141#wp1147622");
B=A.fN("Configuring the Firewall Options policy","142#wp1154440");
B=A.fN("Configuring the Firewall Rules policy","143#wp1134793");
C=B.fN("Creating new Firewall Rules policies","144#wp1133311");
C=B.fN("Viewing and editing firewall rules","145#wp1135245");
C=B.fN("Creating a new firewall rule or firewall group","146#wp1134875");
C=B.fN("Deleting a firewall rule or group","147#wp1135093");
C=B.fN("Viewing firewall client rules","148#wp1136419");
B=A.fN("Configuring the Quarantine Options policy","149#wp1132294");
B=A.fN("Configuring the Quarantine Rules policy","150#wp1132333");
C=B.fN("Creating new Quarantine Rules policies","151#wp1138391");
C=B.fN("Viewing and editing quarantine rules","152#wp1138339");
C=B.fN("Creating a new quarantine rule or group","153#wp1138258");
C=B.fN("Deleting a quarantine rule or group","154#wp1138683");
A=P.fN("Application Blocking Policies","163#wp1093899");
B=A.fN("Overview","164#wp1136884");
C=B.fN("Application creation","165#wp1136967");
C=B.fN("Application hooking","166#wp1137109");
C=B.fN("Preset Application Blocking policies","167#wp1137000");
C=B.fN("Quick access","168#wp1137373");
B=A.fN("Configuring the Application Blocking Options policy","169#wp1140336");
B=A.fN("Configuring the Application Blocking Rules policy","170#wp1129267");
C=B.fN("Creating new Application Blocking Rules policies","171#wp1131683");
C=B.fN("Viewing and editing Application Blocking Rules","172#wp1131699");
C=B.fN("Creating new Application Blocking Rules","173#wp1129289");
C=B.fN("Deleting an application blocking rule","174#wp1131928");
C=B.fN("Viewing application client rules","175#wp1128255");
A=P.fN("General Policies","180#wp1093899");
B=A.fN("Overview","181#wp1138870");
C=B.fN("Preset General policies","182#wp1139012");
B=A.fN("Configuring Enforce Policies","183#wp1138863");
B=A.fN("Configuring the Client UI policy","184#wp1134765");
C=B.fN("Creating and applying a Client UI policy","185#wp1130772");
B=A.fN("Configuring the Trusted Networks policy","187#wp1137270");
B=A.fN("Configuring the Trusted Applications policy","188#wp1129546");
C=B.fN("Creating and applying Trusted Applications policies","189#wp1135525");
C=B.fN("Creating trusted applications","190#wp1135441");
C=B.fN("Editing trusted applications","191#wp1141892");
C=B.fN("Enabling and disabling trusted applications","192#wp1129271");
C=B.fN("Deleting trusted applications","193#wp1141937");
A=P.fN("Maintenance","200#wp1093899");
B=A.fN("Fine-tuning a deployment","201#wp1129136");
C=B.fN("Analyzing IPS events","202#wp1133388");
C=B.fN("Creating exception rules and trusted application rules","203#wp1129221");
C=B.fN("Working with client exception rules","204#wp1129225");
C=B.fN("Creating and applying new policies","205#wp1129226");
B=A.fN("Policy maintenance and tasks","206#wp1129209");
C=B.fN("Policies tab","207#wp1130918");
C=B.fN("Policy Catalog","209#wp1130644");
B=A.fN("Running server tasks","212#wp1135436");
C=B.fN("Directory Gateway","213#wp1129464");
C=B.fN("Event Archiver","214#wp1129467");
C=B.fN("Property Translator","215#wp1129470");
B=A.fN("Setting up notifications for events","216#wp1129438");
C=B.fN("How notifications work","217#wp1138719");
C=B.fN("Host Intrusion Prevention notifications","219#wp1133984");
B=A.fN("Running reports","220#wp1141949");
C=B.fN("Pre-defined reports","221#wp1133606");
C=B.fN("Host Intrusion Prevention reports","225#wp1134370");
B=A.fN("Updating","234#wp1137183");
C=B.fN("Checking in the update package","235#wp1137730");
C=B.fN("Updating agents","236#wp1137822");
A=P.fN("Host Intrusion Prevention Client","237#wp1093899");
B=A.fN("Overview","238#wp1129136");
C=B.fN("System tray icon","239#wp1133594");
C=B.fN("Client console","240#wp1129329");
C=B.fN("Alerts","247#wp1145394");
B=A.fN("IPS Policy tab","253#wp1143009");
C=B.fN("IPS Policy options","254#wp1135933");
C=B.fN("IPS Policy exception rules","255#wp1136166");
B=A.fN("Firewall Policy tab","257#wp1137899");
C=B.fN("Firewall Policy options","258#wp1135906");
C=B.fN("Firewall Policy Rules","259#wp1136843");
B=A.fN("Application Policy tab","261#wp1137351");
C=B.fN("Application Policy options","262#wp1138318");
C=B.fN("Application Policy rules","263#wp1138473");
B=A.fN("Blocked Hosts tab","265#wp1152564");
C=B.fN("Blocked Hosts list","266#wp1139322");
B=A.fN("Application Protection tab","267#wp1139824");
C=B.fN("Application Protection list","268#wp1139997");
B=A.fN("Activity Log tab","269#wp1139821");
C=B.fN("Activity Log options","270#wp1139882");
C=B.fN("Activity Log list","271#wp1140273");
A=P.fN("Frequently Asked Questions","272#wp1130621");
A=P.fN("Writing Custom Signatures","273#wp1146249");
B=A.fN("Rule structure","274#wp1137240");
C=B.fN("Mandatory common sections","275#wp1134514");
C=B.fN("Optional common sections","277#wp1136934");
C=B.fN("Section value variables","279#wp1130697");
B=A.fN("Windows custom signatures","283#wp1146582");
C=B.fN("Class Files","284#wp1131313");
C=B.fN("Class Isapi","286#wp1131816");
C=B.fN("Class Registry","288#wp1132227");
C=B.fN("Class Services","290#wp1132567");
A=P.fN("Glossary","292#wp1132419");
}
