// Copyright (c) 2000-2001 Quadralay Corporation.  All rights reserved.
//

function  WWHCommonSettings_Object()
{
  this.mbForceJavaScript = true;

  this.mbSyncContentsEnabled  = true;
  this.mbPrevEnabled          = true;
  this.mbNextEnabled          = true;
  this.mbRelatedTopicsEnabled = true;
  this.mbEmailEnabled         = false;
  this.mbPrintEnabled         = true;
  this.mbBookmarkEnabled      = true;

  this.mEmailAddress = "info@nai.com";

  this.mRelatedTopics = new WWHCommonSettings_RelatedTopics_Object();
  this.mPopup         = new WWHCommonSettings_Popup_Object();

  this.mbHighlightingEnabled        = true;
  this.mHighlightingForegroundColor = "#CC0033";
  this.mHighlightingBackgroundColor = "#330099";
}

function  WWHCommonSettings_RelatedTopics_Object()
{
  this.mTitleFontStyle       = "font-family: Verdana, Arial, Helvetica, sans-serif ; font-size: 8pt";
  this.mTitleForegroundColor = "#CC0033";
  this.mTitleBackgroundColor = "#999999";

  this.mFontStyle = "font-family: Verdana, Arial, Helvetica, sans-serif ; font-size: 8pt";

  this.mWidth = 175;

  this.mForegroundColor = "#CC0033";
  this.mBackgroundColor = "#EBEBC7";
  this.mBorderColor     = "#666666";

  this.mbInlineEnabled = true;

  this.mInlineFontStyle = "font-family: Verdana, Arial, Helvetica, sans-serif ; font-size: 8pt";

  this.mInlineForegroundColor = "#CC0033";
}

function  WWHCommonSettings_Popup_Object()
{
  this.mWidth = 200;

  this.mBackgroundColor = "#FFFFCC";
  this.mBorderColor     = "#204658";
}
