var GLOBAL_ADMIN		= 1;
var SITE_ADMIN			= 3;

window.onload  = PageOnLoad;

// the current Task ID (will be zero if it is a new task)
var		g_nTaskID;


function PageOnLoad()
{
	g_nTaskID = window.external.Task_GetID();
	g_iCurrentUserRole 	= window.external.GetUserRole();

	if ( g_iCurrentUserRole != GLOBAL_ADMIN )
	{
		btnSave.bDisabled 		= true;
	}

	fnLoadResources();

	//call my init routine
	pageInit();
}


function fnLoadResources()
{
	if ( g_nTaskID == 0 )
		labelID_Title.innerHTML = nrc_sz_NewTask;
	else
		labelID_Title.innerHTML = nrc_sz_ModifyTask;

	labelID_Heading.innerHTML			= nrc_sz_Heading;

	labelID_Credentials.innerHTML	= nrc_sz_Credentials;
	labelID_Username.innerHTML	= nrc_sz_Username;
	labelID_RemoveHeader.innerHTML	= nrc_sz_RemoveHeader;
	labelID_Username2.innerHTML	= nrc_sz_Username;
	labelID_Password.innerHTML	= nrc_sz_Password;
	//labelID_Add.innerHTML	= nrc_sz_Add;
	document.getElementById("add").value = nrc_sz_Add;
	labelID_DomainSelection.innerHTML	= nrc_sz_DomainSelection;
	labelID_Query.innerHTML	= nrc_sz_Query;
	labelID_Domain.innerHTML	= nrc_sz_Domain;

	labelID_TaskDesc.innerHTML	= nrc_sz_TaskDesc;
	labelID_CredDesc.innerHTML	= nrc_sz_CredDesc;
	labelID_DomainSelectionDesc.innerHTML	= nrc_sz_DomainSelectionDesc;

	btnBack.szCaption				= nrc_sz_Back;
	btnSave.szCaption				= nrc_sz_Finish;
	btnCancel.szCaption				= nrc_sz_Cancel;
}


function UpdateText()
{
	if ( Action.value == "Move" )
		MoveText.innerHTML = MoveToFolder_Comment.innerHTML;
	else
		MoveText.innerHTML = "";
}


///////////////////////////////////////////////////
/// Write new task settings
///
function SaveSettings()
{
	addNewCredentials();
	removeOldCredentials();
	changeQueryStates();
}


///////////////////////////////////////////////////
/// Validate that all required fields have been set
///
function Validate()
{
	return true;
}

///////////////////////////////////////////////////
/// Write the task to database
///
function OnSave()
{
	///
	/// Validate Settings
	if ( !Validate() )
		return;

	SaveSettings();

	/// Save the Task to server
	window.external.Task_Save();
}

function OnCancel()
{
	window.external.DisplayHome();
}


function OnBack()
{
	SaveSettings();
	window.external.Task_Back();
}
