var GLOBAL_ADMIN		= 1;
var SITE_ADMIN			= 3;

window.onload  = PageOnLoad;

// the current Task ID (will be zero if it is a new task)
var		g_nTaskID;


function PageOnLoad()
{
	g_nTaskID = window.external.Task_GetID();
	g_iCurrentUserRole 	= window.external.GetUserRole();
	
	if ( g_iCurrentUserRole != GLOBAL_ADMIN ) 
	{
		btnSave.bDisabled 		= true;
	}

	fnLoadResources();
	
	if ( g_nTaskID == 0 )
	{
		// Creating a new task	
	}
	else
	{
		// Editing an existing task
		TargetPath.value = window.external.Task_GetValue("EventArchive", "TargetPath");
		MaxAge.value = window.external.Task_GetValue("EventArchive", "MaxAge");

	}
}


function fnLoadResources()
{
	if ( g_nTaskID == 0 )
		labelID_Title.innerHTML = nrc_sz_NewTask;
	else
		labelID_Title.innerHTML = nrc_sz_ModifyTask;

	labelID_Heading.innerHTML			= nrc_sz_Heading;

	labelID_TaskDescription.innerHTML	= nrc_sz_TaskDesc;
	
	labelID_TargetPath.innerHTML		= nrc_sz_TargetPath;
	labelID_MaxAge.innerHTML			= nrc_sz_MaxAge;
	
	btnBack.szCaption					= nrc_sz_Back;
	btnSave.szCaption					= nrc_sz_Finish;
	btnCancel.szCaption					= nrc_sz_Cancel;
	
}


function UpdateText()
{
	if ( Action.value == "Move" )
		MoveText.innerHTML = MoveToFolder_Comment.innerHTML;
	else
		MoveText.innerHTML = "";
}


///////////////////////////////////////////////////
/// Write new task settings
///
function SaveSettings()
{
	window.external.Task_SetValue("EventArchive", "TargetPath", TargetPath.value);
	window.external.Task_SetValue("EventArchive", "MaxAge", MaxAge.value);
}


///////////////////////////////////////////////////
/// Validate that all required fields have been set
///
function Validate()
{
	if((MaxAge.value.search(/^\d+$/) != -1) && 
		(TargetPath.value != "") && 
		(TargetPath.value.length <= 260)){
		return true;
	}
	return false;
}

///////////////////////////////////////////////////
/// Write the task to database 
///
function OnSave()
{
	///
	/// Validate Settings
	if ( !Validate() )
		return;
		
	SaveSettings();	

	/// Save the Task to server
	window.external.Task_Save();
}

function OnCancel()
{
	window.external.DisplayHome();
}


function OnBack()
{
	SaveSettings();
	window.external.Task_Back();
}
